Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja.
Wątki z problemami zamieszczone w dziale "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Autor Wątek: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie  (Przeczytany 6414 razy)

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1712
  • Reputacja: +1/-0
Odp: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie
« Odpowiedź #15 dnia: Grudzień 01, 2015, 12:45:13 am »
1. System nie został zaktualizowany. Polecenie: 'apt-get update' aktualizuje tylko listę pakietów a nie system.
2. Knoppix domyślnie używa repozytoriów Debiana stabilnego, a tak się składa, że Unetbootin w tych repozytoriach teraz nie ma.
3. Możesz pobrać pakiet Unetbootin z serwera Debiana, zależnie od wersji Knoppixa, w twoim przypadku będzie to i386:
https://packages.debian.org/sid/unetbootin
Następnie prawym klawiszem wybierz zainstaluj (lub otwórz) za pomocą Gdebi (jeśli jest zainstalowany).

Zanim to zrobisz, nasunęło mi się pytanie: dlaczego masz zainstalowanego Knoppixa 32 bit, skoro twierdzisz, że masz procesor 64 bitowy. Knoppix podczas startu, jeśli wykryje procesor 64 bitowy, uruchomia system z takim właśnie jądrem. U ciebie jest to 32 bit.
Pokaż mi wynik polecenia:
grep flags /proc/cpuinfo
p.s.
Przy długich wynikach użyj ikony "Sp"

p.s. 2
Właściwie to pokaż cały wynik:
cat /proc/cpuinfo
« Ostatnia zmiana: Grudzień 01, 2015, 01:08:01 am wysłana przez pavroo »
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline januszjanek1

  • Newbie
  • *
  • Wiadomości: 15
  • Reputacja: +0/-0
Odp: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie
« Odpowiedź #16 dnia: Grudzień 01, 2015, 09:23:18 am »
Twierdzenie o 64bitowym procesorze poparłem cytatem z Biosa w jednym z poprzednich wpisów. Jeśli mam 32bit, to nie wiem dlaczego Bios mi pokazał 64? W każdym razie, jeśli okaże się, że mam 32, to wprowadziłem w błąd niespecjelnie i nieświadomie, bo własny Bios mnie oszukał.

Prosiłeś o:
Cytuj
root@Microknoppix:/home/knoppix# grep flags /proc/cpuinfo
flags      : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm constant_tsc nonstop_tsc extd_apicid aperfmperf pni monitor ssse3 cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch ibs skinit wdt arat hw_pstate npt lbrv svm_lock nrip_save pausefilter
flags      : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm constant_tsc nonstop_tsc extd_apicid aperfmperf pni monitor ssse3 cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch ibs skinit wdt arat hw_pstate npt lbrv svm_lock nrip_save pausefilter

oraz o cat /proc/cpuinfo:
Spoiler (Rozwiń)
root@Microknoppix:/home/knoppix# cat /proc/cpuinfo
processor   : 0
vendor_id   : AuthenticAMD
cpu family   : 20
model      : 2
model name   : AMD E-450 APU with Radeon(tm) HD Graphics
stepping   : 0
microcode   : 0x5000101
cpu MHz      : 825.000
cache size   : 512 KB
physical id   : 0
siblings   : 2
core id      : 0
cpu cores   : 2
apicid      : 0
initial apicid   : 0
fdiv_bug   : no
f00f_bug   : no
coma_bug   : no
fpu      : yes
fpu_exception   : yes
cpuid level   : 6
wp      : yes
flags      : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm constant_tsc nonstop_tsc extd_apicid aperfmperf pni monitor ssse3 cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch ibs skinit wdt arat hw_pstate npt lbrv svm_lock nrip_save pausefilter
bogomips   : 3294.12
clflush size   : 64
cache_alignment   : 64
address sizes   : 36 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

processor   : 1
vendor_id   : AuthenticAMD
cpu family   : 20
model      : 2
model name   : AMD E-450 APU with Radeon(tm) HD Graphics
stepping   : 0
microcode   : 0x5000101
cpu MHz      : 825.000
cache size   : 512 KB
physical id   : 0
siblings   : 2
core id      : 1
cpu cores   : 2
apicid      : 1
initial apicid   : 1
fdiv_bug   : no
f00f_bug   : no
coma_bug   : no
fpu      : yes
fpu_exception   : yes
cpuid level   : 6
wp      : yes
flags      : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm constant_tsc nonstop_tsc extd_apicid aperfmperf pni monitor ssse3 cx16 popcnt lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch ibs skinit wdt arat hw_pstate npt lbrv svm_lock nrip_save pausefilter
bogomips   : 3294.12
clflush size   : 64
cache_alignment   : 64
address sizes   : 36 bits physical, 48 bits virtual
power management: ts ttp tm stc 100mhzsteps hwpstate

root@Microknoppix:/home/knoppix#

Terminal też pokazuje kilka razy 64, a na 32 nie natknąłem się. Chyba, że widzę, to co chcę zobaczyć.
Obawiam się, że Gdebi nie uda mi się zainstalować. Nie mogłem nawet przeglądarki zainstalować :( A w związku z tym Unebootin także nie zainstaluję :( Spróbuję oczywiście i napisze jak poszło. Ale chyba mam jakąś blokadę na instalowanie/aktualizację czegokolwiek.
Ciągle bardzo proszę o pomoc, bo z terminalem sam nie dam rady na pewno!

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1712
  • Reputacja: +1/-0
Odp: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie
« Odpowiedź #17 dnia: Grudzień 01, 2015, 01:39:01 pm »
Tak, to 64 bitowy procesor.
Jeśli nie masz Gdebi to:
1. Otwórz katalog w miejscu gdzie masz pobrana paczkę unetbootin-wersja.deb
2. Z menu menadżera plików wybierz terminal/otwórz terminal
3. Sprawdź czy twój deb jest widoczny:
ls4. Jeśli tak, to:
sudo dpkg -i unetbootin-wersja.deb(wpisz całą, identyczną nazwę pakietu deb)
Jeśli wyskoczą problemy to:
sudo apt-get update
sudo apt-get install -f

Dodatkowa opcja: próbowałeś uruchomić z płyty Ubuntu 32 bitowe? Może warto spróbować.
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline januszjanek1

  • Newbie
  • *
  • Wiadomości: 15
  • Reputacja: +0/-0
Odp: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie
« Odpowiedź #18 dnia: Grudzień 01, 2015, 04:51:09 pm »
Sądzisz, że wersja 32bit zadziała? Ja mam wątpliwości. Nie wiem co wyczytałeś w tym co przesłałem z terminala, ale mam ciągle problem z jakąkolwiek instalacją i to jest głęboki problem. Nie chcę wywoływać znów tematu Biosa, bo tam wszystko przejrzałem i możliwości zmian nie ma zbyt wielu. Ale odniosę się do Twojego ostatniego wpisu. Unetbootin ściagnął się jako paczka bez najmniejszych problemów i znalazłem go, jak poleciłeś poleceniem w terminalu. Jak przewidziałeś wyskoczyły błędy, więc znów wpisałem to, co poleciłeś. Niestety błędy są nadal. Znów jak widzę klucze publiczne, chociaż nie wiem o co chodzi. Oto moje wyniki:
Spoiler (Rozwiń)
knoppix@Microknoppix:~$ ls
*.jpg
*.jpg
b1.JPG
b2.JPG
b3.JPG
b4.JPG
b5.JPG
b7.JPG
*.xcf
Desktop
firefox-42.0.tar.bz2
google-chrome-stable_current_amd64.deb
google-chrome-stable_current_i386.deb
Templates
unetbootin_608-1_i386.deb
knoppix@Microknoppix:~$ sudo dpkg -i unetbootin_608-1_i386.deb
Wybieranie wcześniej niewybranego pakietu unetbootin.
dpkg: ostrzeżenie: brak listy plików pakietu "cloop-utils", przyjęcie że pakiet nie ma zainstalowanych plików
(Odczytywanie bazy danych ... 94966 plików i katalogów obecnie zainstalowanych.)
Rozpakowywanie pakietu unetbootin (z unetbootin_608-1_i386.deb) ...
dpkg: problemy z zależnościami uniemożliwiają skonfigurowanie pakietu unetbootin:
 unetbootin zależy od libqt4-network (>= 4:4.5.3); jednakże:
  Pakiet libqt4-network nie jest zainstalowany.
 unetbootin zależy od libqtcore4 (>= 4:4.7.0~beta1); jednakże:
  Pakiet libqtcore4 nie jest zainstalowany.
 unetbootin zależy od libqtgui4 (>= 4:4.5.3); jednakże:
  Pakiet libqtgui4 nie jest zainstalowany.

dpkg: błąd przetwarzania unetbootin (--install):
 problemy z zależnościami - pozostawianie nieskonfigurowanego
Przetwarzanie wyzwalaczy pakietu man-db...
Przetwarzanie wyzwalaczy pakietu menu...
Przetwarzanie wyzwalaczy pakietu desktop-file-utils...
Wystąpiły błędy podczas przetwarzania:
 unetbootin
knoppix@Microknoppix:~$ sudo ap-get update
sudo: ap-get: nie znaleziono polecenia
knoppix@Microknoppix:~$ sudo apt-get update
Ign.  http://debian-knoppix.alioth.debian.org ./ Release.gpg
Stary http://ftp.de.debian.org stable Release.gpg                             
Ign.  http://debian-knoppix.alioth.debian.org ./ Release                       
Pobieranie:1 http://ftp.de.debian.org testing Release.gpg [1554 B]             
Stary http://security.debian.org stable/updates Release.gpg                   
Stary http://packages.x2go.org squeeze Release.gpg                             
Pobieranie:2 http://ftp.de.debian.org unstable Release.gpg [1554 B]           
Stary http://security.debian.org testing/updates Release.gpg                   
Ign.  http://debian-knoppix.alioth.debian.org ./ Packages/DiffIndex           
Stary http://security.debian.org stable/updates Release                       
Pobieranie:3 http://ftp.de.debian.org experimental Release.gpg [1554 B]       
Stary http://security.debian.org testing/updates Release                       
Pobieranie:4 http://packages.x2go.org wheezy Release.gpg [490 B]               
Pobieranie:5 http://ftp.de.debian.org stable-updates Release.gpg [1554 B]     
Stary http://security.debian.org stable/updates/main i386 Packages             
Pobieranie:6 http://packages.x2go.org sid Release.gpg [490 B]                 
Stary http://ftp.de.debian.org stable Release                                 
Stary http://security.debian.org stable/updates/contrib i386 Packages         
Stary http://packages.x2go.org squeeze Release                                 
Stary http://security.debian.org stable/updates/non-free i386 Packages         
Pobieranie:7 http://ftp.de.debian.org testing Release [191 kB]                 
Stary http://security.debian.org stable/updates/contrib Translation-en         
Stary http://security.debian.org stable/updates/main Translation-en           
Pobieranie:8 http://packages.x2go.org wheezy Release [15,4 kB]                 
Stary http://security.debian.org stable/updates/non-free Translation-en       
Stary http://security.debian.org testing/updates/main i386 Packages           
Stary http://security.debian.org testing/updates/contrib i386 Packages         
Stary http://security.debian.org testing/updates/non-free i386 Packages       
Pobieranie:9 http://packages.x2go.org sid Release [15,4 kB]                   
Stary http://security.debian.org testing/updates/contrib Translation-en       
Stary http://security.debian.org testing/updates/main Translation-en           
Stary http://security.debian.org testing/updates/non-free Translation-en       
Pobieranie:10 http://ftp.de.debian.org unstable Release [255 kB]               
Stary http://packages.x2go.org squeeze/main i386 Packages                     
Pobieranie:11 http://ftp.de.debian.org experimental Release [185 kB]           
Stary http://packages.x2go.org wheezy/main i386 Packages                       
Stary http://debian-knoppix.alioth.debian.org ./ Packages                     
Ign.  http://debian-knoppix.alioth.debian.org ./ Translation-pl_PL             
Ign.  http://debian-knoppix.alioth.debian.org ./ Translation-pl               
Stary http://packages.x2go.org sid/main i386 Packages                         
Ign.  http://debian-knoppix.alioth.debian.org ./ Translation-en               
Pobieranie:12 http://ftp.de.debian.org stable-updates Release [135 kB]         
Stary http://ftp.de.debian.org stable/main i386 Packages                       
Stary http://ftp.de.debian.org stable/contrib i386 Packages
Stary http://ftp.de.debian.org stable/non-free i386 Packages
Stary http://ftp.de.debian.org stable/contrib Translation-en
Stary http://ftp.de.debian.org stable/main Translation-pl   
Stary http://ftp.de.debian.org stable/main Translation-en   
Stary http://ftp.de.debian.org stable/non-free Translation-en
Pobieranie:13 http://ftp.de.debian.org testing/main i386 Packages/DiffIndex [7876 B]
Pobieranie:14 http://ftp.de.debian.org testing/contrib i386 Packages/DiffIndex [6439 B]
Stary http://ftp.de.debian.org testing/non-free i386 Packages/DiffIndex
Stary http://ftp.de.debian.org testing/contrib Translation-en/DiffIndex
Pobieranie:15 http://ftp.de.debian.org testing/main Translation-pl/DiffIndex [7819 B]
Pobieranie:16 http://ftp.de.debian.org testing/main Translation-en/DiffIndex [7876 B]
Stary http://ftp.de.debian.org testing/non-free Translation-en/DiffIndex
Pobieranie:17 http://ftp.de.debian.org unstable/main i386 Packages/DiffIndex [7876 B]
Pobieranie:18 http://ftp.de.debian.org unstable/contrib i386 Packages/DiffIndex [7819 B]
Pobieranie:19 http://ftp.de.debian.org unstable/non-free i386 Packages/DiffIndex [7681 B]
Pobieranie:20 http://ftp.de.debian.org unstable/contrib Translation-en/DiffIndex [2437 B]
Pobieranie:21 http://ftp.de.debian.org unstable/main Translation-pl/DiffIndex [6715 B]
Pobieranie:22 http://ftp.de.debian.org unstable/main Translation-en/DiffIndex [7876 B]
Stary http://ftp.de.debian.org unstable/non-free Translation-en/DiffIndex     
Ign.  http://packages.x2go.org squeeze/main Translation-pl_PL                 
Ign.  http://packages.x2go.org squeeze/main Translation-pl                     
Ign.  http://packages.x2go.org squeeze/main Translation-en                     
Ign.  http://packages.x2go.org wheezy/main Translation-pl_PL                   
Pobieranie:23 http://ftp.de.debian.org experimental/main i386 Packages/DiffIndex [7819 B]
Stary http://ftp.de.debian.org experimental/contrib i386 Packages/DiffIndex   
Stary http://ftp.de.debian.org experimental/non-free i386 Packages/DiffIndex   
Stary http://ftp.de.debian.org experimental/contrib Translation-en/DiffIndex   
Pobieranie:24 http://ftp.de.debian.org experimental/main Translation-en/DiffIndex [7819 B]
Stary http://ftp.de.debian.org experimental/non-free Translation-en/DiffIndex 
Stary http://ftp.de.debian.org stable-updates/main i386 Packages/DiffIndex     
Pobieranie:25 http://ftp.de.debian.org stable-updates/contrib i386 Packages [32 B]
Pobieranie:26 http://ftp.de.debian.org stable-updates/non-free i386 Packages [32 B]
Pobieranie:27 http://ftp.de.debian.org stable-updates/contrib Translation-en [14 B]
Ign.  http://packages.x2go.org wheezy/main Translation-pl                     
Ign.  http://packages.x2go.org wheezy/main Translation-en                     
Ign.  http://packages.x2go.org sid/main Translation-pl_PL                     
Pobieranie:28 http://ftp.de.debian.org stable-updates/main Translation-en [2506 B]
Ign.  http://packages.x2go.org sid/main Translation-pl                         
Pobieranie:29 http://ftp.de.debian.org stable-updates/non-free Translation-en [14 B]
Ign.  http://packages.x2go.org sid/main Translation-en                         
Pobieranie:30 http://ftp.de.debian.org testing/main i386 2015-11-30-1441.40.pdiff [6891 B]
Pobieranie:31 http://ftp.de.debian.org testing/main i386 2015-11-30-1441.40.pdiff [6891 B]
Pobieranie:32 http://ftp.de.debian.org testing/contrib i386 2015-11-30-1441.40.pdiff [352 B]
Pobieranie:33 http://ftp.de.debian.org testing/main 2015-12-01-0842.28.pdiff [33 B]
Pobieranie:34 http://ftp.de.debian.org testing/main 2015-12-01-0244.53.pdiff [8281 B]
Pobieranie:35 http://ftp.de.debian.org unstable/main i386 2015-11-30-1441.40.pdiff [88,1 kB]
Pobieranie:36 http://ftp.de.debian.org unstable/contrib i386 2015-11-30-1441.40.pdiff [396 B]
Pobieranie:37 http://ftp.de.debian.org unstable/non-free i386 2015-11-30-1441.40.pdiff [496 B]
Pobieranie:38 http://ftp.de.debian.org unstable/contrib 2015-11-30-1441.40.pdiff [267 B]
Pobieranie:39 http://ftp.de.debian.org unstable/main 2015-12-01-0842.28.pdiff [52 B]
Pobieranie:40 http://ftp.de.debian.org unstable/main 2015-11-30-1441.40.pdiff [80 B]
Pobieranie:41 http://ftp.de.debian.org experimental/main i386 2015-11-30-1441.40.pdiff [1959 B]
Pobieranie:42 http://ftp.de.debian.org experimental/main 2015-11-30-1441.40.pdiff [873 B]
Pobieranie:43 http://ftp.de.debian.org testing/contrib i386 2015-11-30-1441.40.pdiff [352 B]
Pobieranie:44 http://ftp.de.debian.org testing/main 2015-12-01-0842.28.pdiff [33 B]
Pobieranie:45 http://ftp.de.debian.org testing/main i386 2015-12-01-0244.53.pdiff [70,3 kB]
Pobieranie:46 http://ftp.de.debian.org testing/main 2015-12-01-0244.53.pdiff [8281 B]
Pobieranie:47 http://ftp.de.debian.org unstable/main i386 2015-11-30-1441.40.pdiff [88,1 kB]
Pobieranie:48 http://ftp.de.debian.org unstable/contrib i386 2015-11-30-1441.40.pdiff [396 B]
Pobieranie:49 http://ftp.de.debian.org unstable/non-free i386 2015-11-30-1441.40.pdiff [496 B]
Pobieranie:50 http://ftp.de.debian.org unstable/main i386 2015-11-30-2040.42.pdiff [30,0 kB]
Pobieranie:51 http://ftp.de.debian.org unstable/contrib 2015-11-30-1441.40.pdiff [267 B]
Pobieranie:52 http://ftp.de.debian.org unstable/main 2015-12-01-0842.28.pdiff [52 B]
Pobieranie:53 http://ftp.de.debian.org unstable/contrib i386 2015-12-01-0244.53.pdiff [556 B]
Pobieranie:54 http://ftp.de.debian.org unstable/main 2015-11-30-1441.40.pdiff [80 B]
Pobieranie:55 http://ftp.de.debian.org experimental/main i386 2015-11-30-1441.40.pdiff [1959 B]
Pobieranie:56 http://ftp.de.debian.org unstable/main 2015-11-30-2040.42.pdiff [259 B]
Pobieranie:57 http://ftp.de.debian.org experimental/main 2015-11-30-1441.40.pdiff [873 B]
Pobieranie:58 http://ftp.de.debian.org experimental/main i386 2015-11-30-2040.42.pdiff [3366 B]
Pobieranie:59 http://ftp.de.debian.org testing/main i386 2015-12-01-0244.53.pdiff [70,3 kB]
Pobieranie:60 http://ftp.de.debian.org experimental/main 2015-11-30-2040.42.pdiff [1181 B]
Pobieranie:61 http://ftp.de.debian.org unstable/main i386 2015-11-30-2040.42.pdiff [30,0 kB]
Pobieranie:62 http://ftp.de.debian.org unstable/contrib i386 2015-12-01-0244.53.pdiff [556 B]
Pobieranie:63 http://ftp.de.debian.org unstable/main 2015-11-30-2040.42.pdiff [259 B]
Pobieranie:64 http://ftp.de.debian.org unstable/main i386 2015-12-01-0244.53.pdiff [43,8 kB]
Pobieranie:65 http://ftp.de.debian.org experimental/main i386 2015-11-30-2040.42.pdiff [3366 B]
Pobieranie:66 http://ftp.de.debian.org unstable/main 2015-12-01-0244.53.pdiff [603 B]
Pobieranie:67 http://ftp.de.debian.org experimental/main 2015-11-30-2040.42.pdiff [1181 B]
Pobieranie:68 http://ftp.de.debian.org experimental/main i386 2015-12-01-0244.53.pdiff [1016 B]
Pobieranie:69 http://ftp.de.debian.org unstable/main i386 2015-12-01-0244.53.pdiff [43,8 kB]
Pobieranie:70 http://ftp.de.debian.org experimental/main 2015-12-01-0244.53.pdiff [546 B]
Pobieranie:71 http://ftp.de.debian.org unstable/main 2015-12-01-0244.53.pdiff [603 B]
Pobieranie:72 http://ftp.de.debian.org unstable/main i386 2015-12-01-0842.28.pdiff [523 B]
Pobieranie:73 http://ftp.de.debian.org experimental/main i386 2015-12-01-0244.53.pdiff [1016 B]
Pobieranie:74 http://ftp.de.debian.org unstable/main 2015-12-01-0842.28.pdiff [33 B]
Pobieranie:75 http://ftp.de.debian.org experimental/main 2015-12-01-0244.53.pdiff [546 B]
Pobieranie:76 http://ftp.de.debian.org unstable/main i386 2015-12-01-0842.28.pdiff [523 B]
Pobieranie:77 http://ftp.de.debian.org unstable/main 2015-12-01-0842.28.pdiff [33 B]
Pobrano 1153 kB w 1min 12s (15,8 kB/s)
Czytanie list pakietów... Gotowe
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
9D6D8F6BC857C906
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
9D6D8F6BC857C906
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
7638D0442B90D010
 NO_PUBKEY CBF8D6FD518E17E1
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
7638D0442B90D010
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
7638D0442B90D010
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
7638D0442B90D010
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
7638D0442B90D010
W: Ignoring Provides line with DepCompareOp for package libjpeg62
W: Ignoring Provides line with DepCompareOp for package php-psr-http-message-implementation
W: Ignoring Provides line with DepCompareOp for package php-psr-log-implementation
W: Ignoring Provides line with DepCompareOp for package php-math-biginteger
W: Ignoring Provides line with DepCompareOp for package pypy-cffi
W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-min
W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-min
W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-min
W: Ignoring Provides line with DepCompareOp for package php-math-biginteger
W: Unknown Multi-Arch type 'no' for package 'compiz-gnome'
W: Unknown Multi-Arch type 'no' for package 'compiz-core'
W: Unknown Multi-Arch type 'no' for package 'compiz-core'
W: Unknown Multi-Arch type 'no' for package 'compiz-gnome'
« Ostatnia zmiana: Grudzień 01, 2015, 05:27:58 pm wysłana przez januszjanek1 »

Offline januszjanek1

  • Newbie
  • *
  • Wiadomości: 15
  • Reputacja: +0/-0
Odp: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie
« Odpowiedź #19 dnia: Grudzień 01, 2015, 04:53:38 pm »
I dalej cytuję swój terminal:
Spoiler (Rozwiń)
knoppix@Microknoppix:~$ sudo apt-get install -f
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Naprawianie zależności... Gotowe
Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
  coinor-libcbc3 coinor-libcgl1 coinor-libclp1 coinor-libcoinmp1v5
  coinor-libcoinutils3v5 coinor-libosi1v5 gstreamer0.10-ffmpeg lesstif2
  libabw-0.1-1 libboost-date-time1.49.0 libboost-date-time1.53.0
  libboost-iostreams1.58.0 libboost-system1.58.0 libcdr-0.0-0 libcmis-0.3-3
  libcolamd2.7.1 libe-book-0.1-1 libetonyek-0.1-1 libgeoclue0 libgssglue1
  libmspub-0.0-0 liborcus-0.10-0v5 liborcus-0.4-0
  libreoffice-avmedia-backend-gstreamer libsystemd-login0 libvisio-0.0-0
  libwps-0.4-4 libxp6 lp-solve
Aby je usunąć należy użyć "apt-get autoremove".
Zostaną zainstalowane następujące dodatkowe pakiety:
  binutils coinor-libcbc3 coinor-libcgl1 coinor-libclp1 coinor-libcoinmp1v5
  coinor-libcoinutils3v5 coinor-libosi1v5 cpp cpp-5 dbus gcc gcc-5 gcc-5-base
  libabw-0.1-1 libapparmor1 libasan2 libatomic1 libaudit-common libaudit1
  libboost-date-time1.58.0 libboost-iostreams1.58.0 libboost-system1.58.0
  libcairo2 libcc1-0 libcdr-0.1-1 libcilkrts5 libclucene-contribs1v5
  libclucene-core1v5 libcmis-0.5-5v5 libdb5.3 libdbus-1-3 libdrm2
  libe-book-0.1-1 libegl1-mesa libeot0 libepoxy0 libetonyek-0.1-1 libevdev2
  libfontconfig1 libfreehand-0.1-1 libgbm1 libgcc-5-dev libgcc1 libgcrypt20
  libgfortran3 libglew1.13 libglib2.0-0 libgltf-0.0-0v5 libgomp1 libgpg-error0
  libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libharfbuzz-icu0
  libharfbuzz0b libhunspell-1.3-0 libicu55 libisl15 libitm1
  libjavascriptcoregtk-1.0-0 libjpeg62-turbo libllvm3.7 libmotif-common
  libmpc3 libmpfr4 libmpx0 libmspub-0.1-1 libmwaw-0.3-3 libncurses5
  libncurses5-dev libncursesw5 libnotify-bin libodfgen-0.1-1 libopenjpeg5
  liborc-0.4-0 liborcus-0.10-0v5 libpagemaker-0.0-0 libpango-1.0-0
  libpango1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpangoxft-1.0-0
  libpcre3 libpixman-1-0 libpoppler46 libqt4-dbus libqt4-network libqt4-xml
  libqtcore4 libqtdbus4 libqtgui4 libquadmath0 libraptor2-0 librasqal3 librdf0
  libreoffice-avmedia-backend-gstreamer libreoffice-base-core
  libreoffice-common libreoffice-core libreoffice-draw libreoffice-math
  libreoffice-style-galaxy libreoffice-style-tango librevenge-0.0-0
  libsoup2.4-1 libssl1.0.2 libstdc++6 libsystemd0 libtiff5 libtinfo-dev
  libtinfo5 libubsan0 libudev1 libvisio-0.1-1 libwayland-client0
  libwayland-server0 libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libwebp5
  libwpd-0.10-10 libwpg-0.3-3 libwps-0.4-4 libxatracker2 libxcb-dri3-0
  libxcb-sync1 libxcb-xfixes0 libxcb1 libxm4 libxshmfence1 ncurses-bin qdbus
  qt-at-spi qtchooser qtcore4-l10n uno-libs3 ure virtualbox-guest-utils
  virtualbox-guest-x11 x11-common xdg-user-dirs xpdf xserver-common
  xserver-xorg xserver-xorg-core xserver-xorg-input-acecad
  xserver-xorg-input-aiptek xserver-xorg-input-evdev xserver-xorg-input-kbd
  xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-input-void xserver-xorg-input-wacom
  xserver-xorg-legacy xserver-xorg-video-all xserver-xorg-video-ati
  xserver-xorg-video-cirrus xserver-xorg-video-dummy xserver-xorg-video-fbdev
  xserver-xorg-video-geode xserver-xorg-video-glide xserver-xorg-video-intel
  xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb
  xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-vesa
  xserver-xorg-video-vmware
Sugerowane pakiety:
  binutils-doc cpp-doc gcc-5-locales gcc-multilib manpages-dev autoconf
  automake libtool flex bison gdb gcc-doc gcc-5-multilib gcc-5-doc libgcc1-dbg
  libgomp1-dbg libitm1-dbg libatomic1-dbg libasan2-dbg liblsan0-dbg
  libtsan0-dbg libubsan0-dbg libcilkrts5-dbg libmpx0-dbg libquadmath0-dbg
  rng-tools glew-utils gstreamer1.0-tools ncurses-doc qt4-qtconfig
  raptor2-utils rasqal-utils librdf-storage-postgresql librdf-storage-mysql
  librdf-storage-sqlite librdf-storage-virtuoso redland-utils libreoffice-base
  libreoffice-style-breeze libreoffice-style-hicontrast
  libreoffice-style-oxygen libreoffice-style-sifr tango-icon-theme
  gpointing-device-settings touchfreeze firmware-amd-graphics
Polecane pakiety:
  gstreamer1.0-plugins-base hunspell-en-us hunspell-dictionary
  myspell-dictionary xfonts-mathml python3-uno gstreamer1.0-plugins-good
  geoclue-2.0 virtualbox-guest-dkms virtualbox-guest-source
  virtualbox-guest-modules libpam-systemd xserver-xorg-video-qxl
  device3dfx-source
Następujące pakiety zostaną USUNIĘTE:
  cpp-4.7 gcc-4.7 gcc-4.7-base libaudit0 libharfbuzz0a libjpeg62
  libreoffice-calc libreoffice-gnome libreoffice-gtk libreoffice-impress
  libreoffice-writer xpdf-reader xserver-xorg-video-apm xserver-xorg-video-ark
  xserver-xorg-video-chips xserver-xorg-video-glint xserver-xorg-video-i128
  xserver-xorg-video-i740 xserver-xorg-video-modesetting
  xserver-xorg-video-rendition xserver-xorg-video-s3
  xserver-xorg-video-s3virge xserver-xorg-video-sis xserver-xorg-video-tga
  xserver-xorg-video-tseng xserver-xorg-video-voodoo
Zostaną zainstalowane następujące NOWE pakiety:
  coinor-libcbc3 coinor-libcgl1 coinor-libclp1 coinor-libcoinmp1v5
  coinor-libcoinutils3v5 coinor-libosi1v5 cpp-5 gcc-5 gcc-5-base libabw-0.1-1
  libapparmor1 libasan2 libatomic1 libaudit-common libaudit1
  libboost-date-time1.58.0 libboost-iostreams1.58.0 libboost-system1.58.0
  libcc1-0 libcdr-0.1-1 libcilkrts5 libclucene-contribs1v5 libclucene-core1v5
  libcmis-0.5-5v5 libdb5.3 libe-book-0.1-1 libegl1-mesa libeot0 libepoxy0
  libetonyek-0.1-1 libevdev2 libfreehand-0.1-1 libgbm1 libgcc-5-dev
  libgcrypt20 libglew1.13 libgltf-0.0-0v5 libharfbuzz-icu0 libharfbuzz0b
  libicu55 libisl15 libjpeg62-turbo libllvm3.7 libmotif-common libmpc3 libmpx0
  libmspub-0.1-1 libmwaw-0.3-3 libnotify-bin libodfgen-0.1-1 libopenjpeg5
  liborcus-0.10-0v5 libpagemaker-0.0-0 libpoppler46 libqt4-dbus libqt4-network
  libqt4-xml libqtcore4 libqtdbus4 libqtgui4
  libreoffice-avmedia-backend-gstreamer librevenge-0.0-0 libssl1.0.2
  libsystemd0 libubsan0 libudev1 libvisio-0.1-1 libwayland-client0
  libwayland-server0 libwebp5 libwpd-0.10-10 libwpg-0.3-3 libwps-0.4-4
  libxatracker2 libxcb-dri3-0 libxcb-sync1 libxcb-xfixes0 libxm4 libxshmfence1
  qdbus qt-at-spi qtchooser qtcore4-l10n xdg-user-dirs xserver-xorg-legacy
Następujące pakiety zostaną zaktualizowane:
  binutils cpp dbus gcc libcairo2 libdbus-1-3 libdrm2 libfontconfig1 libgcc1
  libgfortran3 libglib2.0-0 libgomp1 libgpg-error0
  libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libhunspell-1.3-0 libitm1
  libjavascriptcoregtk-1.0-0 libmpfr4 libncurses5 libncurses5-dev libncursesw5
  liborc-0.4-0 libpango-1.0-0 libpango1.0-0 libpangocairo-1.0-0
  libpangoft2-1.0-0 libpangoxft-1.0-0 libpcre3 libpixman-1-0 libquadmath0
  libraptor2-0 librasqal3 librdf0 libreoffice-base-core libreoffice-common
  libreoffice-core libreoffice-draw libreoffice-math libreoffice-style-galaxy
  libreoffice-style-tango libsoup2.4-1 libstdc++6 libtiff5 libtinfo-dev
  libtinfo5 libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libxcb1 ncurses-bin
  uno-libs3 ure virtualbox-guest-utils virtualbox-guest-x11 x11-common xpdf
  xserver-common xserver-xorg xserver-xorg-core xserver-xorg-input-acecad
  xserver-xorg-input-aiptek xserver-xorg-input-evdev xserver-xorg-input-kbd
  xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-input-void xserver-xorg-input-wacom
  xserver-xorg-video-all xserver-xorg-video-ati xserver-xorg-video-cirrus
  xserver-xorg-video-dummy xserver-xorg-video-fbdev xserver-xorg-video-geode
  xserver-xorg-video-glide xserver-xorg-video-intel xserver-xorg-video-mach64
  xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb
  xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-vesa
  xserver-xorg-video-vmware
90 aktualizowanych, 85 nowo instalowanych, 26 usuwanych i 1010 nieaktualizowanych.
17 nie w pełni zainstalowanych lub usuniętych.
Konieczne pobranie 65,2 MB/202 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 338 MB miejsca na dysku.
Kontynuować [T/n]? t
Pobieranie:1 http://ftp.de.debian.org/debian/ unstable/main libgfortran3 i386 5.2.1-27 [245 kB]
Pobieranie:2 http://ftp.de.debian.org/debian/ unstable/main gcc-5-base i386 5.2.1-27 [168 kB]
Pobieranie:3 http://ftp.de.debian.org/debian/ unstable/main libgcc1 i386 1:5.2.1-27 [46,2 kB]
Pobieranie:4 http://ftp.de.debian.org/debian/ unstable/main cpp-5 i386 5.2.1-27 [24,8 MB]
Pobieranie:5 http://ftp.de.debian.org/debian/ unstable/main cpp i386 4:5.2.1-8 [18,1 kB]
Pobieranie:6 http://ftp.de.debian.org/debian/ unstable/main libcc1-0 i386 5.2.1-27 [31,6 kB]
Pobieranie:7 http://ftp.de.debian.org/debian/ unstable/main binutils i386 2.25.90.20151125-2 [3841 kB]
Pobieranie:8 http://ftp.de.debian.org/debian/ unstable/main libgomp1 i386 5.2.1-27 [58,9 kB]
Pobieranie:9 http://ftp.de.debian.org/debian/ unstable/main libitm1 i386 5.2.1-27 [29,2 kB]
Pobieranie:10 http://ftp.de.debian.org/debian/ unstable/main libatomic1 i386 5.2.1-27 [8198 B]
Pobieranie:11 http://ftp.de.debian.org/debian/ unstable/main libasan2 i386 5.2.1-27 [265 kB]
Pobieranie:12 http://ftp.de.debian.org/debian/ unstable/main libubsan0 i386 5.2.1-27 [109 kB]
Pobieranie:13 http://ftp.de.debian.org/debian/ unstable/main libcilkrts5 i386 5.2.1-27 [44,2 kB]
Pobieranie:14 http://ftp.de.debian.org/debian/ unstable/main libmpx0 i386 5.2.1-27 [10,8 kB]
Pobieranie:15 http://ftp.de.debian.org/debian/ unstable/main libquadmath0 i386 5.2.1-27 [200 kB]
Pobieranie:16 http://ftp.de.debian.org/debian/ unstable/main libgcc-5-dev i386 5.2.1-27 [2222 kB]
Pobieranie:17 http://ftp.de.debian.org/debian/ unstable/main gcc-5 i386 5.2.1-27 [24,9 MB]
Pobieranie:18 http://ftp.de.debian.org/debian/ unstable/main gcc i386 4:5.2.1-8 [5226 B]
Pobieranie:19 http://ftp.de.debian.org/debian/ unstable/main libstdc++6 i386 5.2.1-27 [409 kB]
Pobieranie:20 http://ftp.de.debian.org/debian/ unstable/main qtcore4-l10n all 4:4.8.7+dfsg-5 [660 kB]
Pobieranie:21 http://ftp.de.debian.org/debian/ unstable/main libqtcore4 i386 4:4.8.7+dfsg-5 [1660 kB]
Pobieranie:22 http://ftp.de.debian.org/debian/ unstable/main libqt4-xml i386 4:4.8.7+dfsg-5 [147 kB]
Pobieranie:23 http://ftp.de.debian.org/debian/ unstable/main libqtdbus4 i386 4:4.8.7+dfsg-5 [240 kB]
Pobieranie:24 http://ftp.de.debian.org/debian/ unstable/main libqt4-network i386 4:4.8.7+dfsg-5 [637 kB]
Pobieranie:25 http://ftp.de.debian.org/debian/ unstable/main libqtgui4 i386 4:4.8.7+dfsg-5 [4392 kB]
Pobieranie:26 http://ftp.de.debian.org/debian/ unstable/main qdbus i386 4:4.8.7+dfsg-5 [75,9 kB]
Pobieranie:27 http://ftp.de.debian.org/debian/ unstable/main libqt4-dbus i386 4:4.8.7+dfsg-5 [51,8 kB]
Pobrano 65,2 MB w 26s (2431 kB/s)                                             
dpkg: ostrzeżenie: brak listy plików pakietu "cloop-utils", przyjęcie że pakiet nie ma zainstalowanych plików
(Odczytywanie bazy danych ... 94971 plików i katalogów obecnie zainstalowanych.)
Usuwanie pakietu xpdf-reader ...
Usuwanie pakietu libreoffice-calc ...
Usuwanie pakietu libreoffice-impress ...
Przetwarzanie wyzwalaczy pakietu man-db...
Przetwarzanie wyzwalaczy pakietu menu...
Przetwarzanie wyzwalaczy pakietu desktop-file-utils...
Przetwarzanie wyzwalaczy pakietu mime-support...
dpkg: ostrzeżenie: brak listy plików pakietu "cloop-utils", przyjęcie że pakiet nie ma zainstalowanych plików
(Odczytywanie bazy danych ... 94922 pliki i katalogi obecnie zainstalowane.)
Przygotowywanie do zastąpienia pakietu libreoffice-draw 1:4.0.3-3 (wykorzystując .../libreoffice-draw_1%3a5.0.3~rc2-1+b2_i386.deb) ...
dpkg-maintscript-helper: error: command dir_to_symlink is unknown
Hint: upgrading dpkg to a newer version might help.

Usage: dpkg-maintscript-helper <command> <parameter>... -- <maintainer-script-parameter>...

Commands:
  supports <command>
   Returns 0 (success) if the given command is supported, 1 otherwise.
  rm_conffile <conffile> [<last-version> [<package>]]
   Remove obsolete conffile. Must be called in preinst, postinst and
   postrm.
  mv_conffile <old-conf> <new-conf> [<last-version> [<package>]]
   Rename a conffile. Must be called in preinst, postinst and postrm.
  help
   Display this usage information.
dpkg: błąd przetwarzania /var/cache/apt/archives/libreoffice-draw_1%3a5.0.3~rc2-1+b2_i386.deb (--unpack):
 podproces nowy skrypt pre-installation zwrócił kod błędu 1
dpkg-maintscript-helper: error: command dir_to_symlink is unknown
Hint: upgrading dpkg to a newer version might help.

Usage: dpkg-maintscript-helper <command> <parameter>... -- <maintainer-script-parameter>...

Commands:
  supports <command>
   Returns 0 (success) if the given command is supported, 1 otherwise.
  rm_conffile <conffile> [<last-version> [<package>]]
   Remove obsolete conffile. Must be called in preinst, postinst and
   postrm.
  mv_conffile <old-conf> <new-conf> [<last-version> [<package>]]
   Rename a conffile. Must be called in preinst, postinst and postrm.
  help
   Display this usage information.
dpkg: błąd podczas czyszczenia środowiska:
 podproces nowy skrypt post-removal zwrócił kod błędu 1
Wystąpiły błędy podczas przetwarzania:
 /var/cache/apt/archives/libreoffice-draw_1%3a5.0.3~rc2-1+b2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
knoppix@Microknoppix:~$


Czy Ty coś tam widzisz? Coś co mogłoby mi pomóc? Spróbuję z 32 bitową płytą. Ale czy to nie będzie wykorzytywanie tylko połowy mocy swojego sprzętu i tak już nie najnowszego? Jeśli masz propozycje jeszcze to czekam na takowe :)
« Ostatnia zmiana: Grudzień 01, 2015, 05:31:35 pm wysłana przez januszjanek1 »

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1712
  • Reputacja: +1/-0
Odp: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie
« Odpowiedź #20 dnia: Grudzień 01, 2015, 05:41:16 pm »
Nie wiem co w Knoppix-ie się dzieje, ale to nie jest normalne.
Jest to doskonały system live, lecz nie polecam go do instalacji na dysku.
Mieszanie repozytoriów Debiana stabilnego, testowego i niestabilnego wywołuje takie kwiatki.

Fakt, iż wyskakują błędy związane z brakiem kluczy publicznych podczas aktualizacji listy pakietów możesz chwilowo pominąć.
Najważniejsze teraz:
sudo apt-get update
sudo apt-get remove libreoffice
sudo apt-get autoremove
aby usunąć błąd związany z libreoffice.
następnie ponownie:
sudo apt-get install -f
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline januszjanek1

  • Newbie
  • *
  • Wiadomości: 15
  • Reputacja: +0/-0
Odp: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie
« Odpowiedź #21 dnia: Grudzień 01, 2015, 07:15:49 pm »
Ja Knoppixa też nie traktuję bardzo serio. Mam do niego sentyment, bo na wersji live kilka lat temu mogłem sie przekonać, że nie istnieje tylko Windows. Jednak moim celem jest Ubuntu, a pobocznym celem także Mint. Knoppixa chciałbym zostawic jako ciekawostkę. Tymczasem w terminalu:
Spoiler (Rozwiń)
knoppix@Microknoppix:~$ sudo apt-get update
Pobieranie:1 http://security.debian.org stable/updates Release.gpg [1554 B]
Stary http://ftp.de.debian.org stable Release.gpg                             
Ign.  http://debian-knoppix.alioth.debian.org ./ Release.gpg                   
Pobieranie:2 http://security.debian.org testing/updates Release.gpg [1554 B]   
Pobieranie:3 http://packages.x2go.org squeeze Release.gpg [490 B]             
Pobieranie:4 http://security.debian.org stable/updates Release [61,5 kB]       
Pobieranie:5 http://ftp.de.debian.org testing Release.gpg [1554 B]             
Ign.  http://debian-knoppix.alioth.debian.org ./ Release                       
Pobieranie:6 http://packages.x2go.org wheezy Release.gpg [490 B]               
Pobieranie:7 http://ftp.de.debian.org unstable Release.gpg [1554 B]           
Ign.  http://debian-knoppix.alioth.debian.org ./ Packages/DiffIndex           
Pobieranie:8 http://ftp.de.debian.org experimental Release.gpg [1554 B]       
Pobieranie:9 http://packages.x2go.org sid Release.gpg [490 B]                 
Pobieranie:10 http://security.debian.org testing/updates Release [61,2 kB]     
Pobieranie:11 http://packages.x2go.org squeeze Release [13,2 kB]               
Pobieranie:12 http://ftp.de.debian.org stable-updates Release.gpg [1554 B]     
Stary http://ftp.de.debian.org stable Release                                 
Pobieranie:13 http://packages.x2go.org wheezy Release [15,4 kB]               
Pobieranie:14 http://security.debian.org stable/updates/main i386 Packages [152 kB]
Pobieranie:15 http://ftp.de.debian.org testing Release [191 kB]               
Pobieranie:16 http://security.debian.org stable/updates/contrib i386 Packages [2511 B]
Pobieranie:17 http://security.debian.org stable/updates/non-free i386 Packages [14 B]
Pobieranie:18 http://security.debian.org stable/updates/contrib Translation-en [1211 B]
Pobieranie:19 http://packages.x2go.org sid Release [15,4 kB]                   
Pobieranie:20 http://security.debian.org stable/updates/main Translation-en [84,3 kB]
Pobieranie:21 http://security.debian.org stable/updates/non-free Translation-en [14 B]
Pobieranie:22 http://security.debian.org testing/updates/main i386 Packages [32 B]
Pobieranie:23 http://security.debian.org testing/updates/contrib i386 Packages [32 B]
Stary http://packages.x2go.org squeeze/main i386 Packages                     
Pobieranie:24 http://ftp.de.debian.org unstable Release [255 kB]               
Pobieranie:25 http://security.debian.org testing/updates/non-free i386 Packages [32 B]
Pobieranie:26 http://security.debian.org testing/updates/contrib Translation-en [14 B]
Pobieranie:27 http://security.debian.org testing/updates/main Translation-en [14 B]
Pobieranie:28 http://security.debian.org testing/updates/non-free Translation-en [14 B]
Pobieranie:29 http://ftp.de.debian.org experimental Release [185 kB]           
Stary http://packages.x2go.org wheezy/main i386 Packages                       
Stary http://debian-knoppix.alioth.debian.org ./ Packages                     
Ign.  http://debian-knoppix.alioth.debian.org ./ Translation-pl_PL             
Ign.  http://debian-knoppix.alioth.debian.org ./ Translation-pl               
Stary http://packages.x2go.org sid/main i386 Packages                         
Ign.  http://debian-knoppix.alioth.debian.org ./ Translation-en               
Pobieranie:30 http://ftp.de.debian.org stable-updates Release [135 kB]         
Stary http://ftp.de.debian.org stable/main i386 Packages                       
Stary http://ftp.de.debian.org stable/contrib i386 Packages
Stary http://ftp.de.debian.org stable/non-free i386 Packages
Stary http://ftp.de.debian.org stable/contrib Translation-en
Stary http://ftp.de.debian.org stable/main Translation-pl
Stary http://ftp.de.debian.org stable/main Translation-en   
Stary http://ftp.de.debian.org stable/non-free Translation-en
Pobieranie:31 http://ftp.de.debian.org testing/main i386 Packages/DiffIndex [7876 B]
Stary http://ftp.de.debian.org testing/contrib i386 Packages/DiffIndex
Stary http://ftp.de.debian.org testing/non-free i386 Packages/DiffIndex
Stary http://ftp.de.debian.org testing/contrib Translation-en/DiffIndex
Stary http://ftp.de.debian.org testing/main Translation-pl/DiffIndex
Pobieranie:32 http://ftp.de.debian.org testing/main Translation-en/DiffIndex [7876 B]
Stary http://ftp.de.debian.org testing/non-free Translation-en/DiffIndex
Pobieranie:33 http://ftp.de.debian.org unstable/main i386 Packages/DiffIndex [7876 B]
Stary http://ftp.de.debian.org unstable/contrib i386 Packages/DiffIndex
Stary http://ftp.de.debian.org unstable/non-free i386 Packages/DiffIndex
Stary http://ftp.de.debian.org unstable/contrib Translation-en/DiffIndex       
Stary http://ftp.de.debian.org unstable/main Translation-pl/DiffIndex         
Pobieranie:34 http://ftp.de.debian.org unstable/main Translation-en/DiffIndex [7876 B]
Stary http://ftp.de.debian.org unstable/non-free Translation-en/DiffIndex     
Pobieranie:35 http://ftp.de.debian.org experimental/main i386 Packages/DiffIndex [7819 B]
Stary http://ftp.de.debian.org experimental/contrib i386 Packages/DiffIndex   
Stary http://ftp.de.debian.org experimental/non-free i386 Packages/DiffIndex   
Stary http://ftp.de.debian.org experimental/contrib Translation-en/DiffIndex   
Pobieranie:36 http://ftp.de.debian.org experimental/main Translation-en/DiffIndex [7819 B]
Stary http://ftp.de.debian.org experimental/non-free Translation-en/DiffIndex 
Stary http://ftp.de.debian.org stable-updates/main i386 Packages/DiffIndex     
Pobieranie:37 http://ftp.de.debian.org stable-updates/contrib i386 Packages [32 B]
Pobieranie:38 http://ftp.de.debian.org stable-updates/non-free i386 Packages [32 B]
Pobieranie:39 http://ftp.de.debian.org stable-updates/contrib Translation-en [14 B]
Pobieranie:40 http://ftp.de.debian.org stable-updates/main Translation-en [2506 B]
Pobieranie:41 http://ftp.de.debian.org stable-updates/non-free Translation-en [14 B]
Pobieranie:42 http://ftp.de.debian.org testing/main i386 2015-12-01-1440.30.pdiff [89 B]
Ign.  http://packages.x2go.org squeeze/main Translation-pl_PL                 
Pobieranie:43 http://ftp.de.debian.org testing/main i386 2015-12-01-1440.30.pdiff [89 B]
Pobieranie:44 http://ftp.de.debian.org testing/main 2015-12-01-1440.30.pdiff [92 B]
Ign.  http://packages.x2go.org squeeze/main Translation-pl                     
Pobieranie:45 http://ftp.de.debian.org unstable/main i386 2015-12-01-1440.30.pdiff [18,1 kB]
Ign.  http://packages.x2go.org squeeze/main Translation-en                     
Ign.  http://packages.x2go.org wheezy/main Translation-pl_PL                   
Pobieranie:46 http://ftp.de.debian.org unstable/main 2015-12-01-1440.30.pdiff [601 B]
Ign.  http://packages.x2go.org wheezy/main Translation-pl                     
Pobieranie:47 http://ftp.de.debian.org experimental/main i386 2015-12-01-1440.30.pdiff [44 B]
Pobieranie:48 http://ftp.de.debian.org experimental/main 2015-12-01-1440.30.pdiff [42 B]
Ign.  http://packages.x2go.org wheezy/main Translation-en                     
Ign.  http://packages.x2go.org sid/main Translation-pl_PL                     
Ign.  http://packages.x2go.org sid/main Translation-pl                         
Ign.  http://packages.x2go.org sid/main Translation-en                         
Pobieranie:49 http://ftp.de.debian.org testing/main 2015-12-01-1440.30.pdiff [92 B]
Pobieranie:50 http://ftp.de.debian.org unstable/main i386 2015-12-01-1440.30.pdiff [18,1 kB]
Pobieranie:51 http://ftp.de.debian.org unstable/main 2015-12-01-1440.30.pdiff [601 B]
Pobieranie:52 http://ftp.de.debian.org experimental/main i386 2015-12-01-1440.30.pdiff [44 B]
Pobieranie:53 http://ftp.de.debian.org experimental/main 2015-12-01-1440.30.pdiff [42 B]
Pobrano 1252 kB w 30s (41,7 kB/s)
Czytanie list pakietów... Gotowe
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
9D6D8F6BC857C906
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
9D6D8F6BC857C906
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
7638D0442B90D010
 NO_PUBKEY CBF8D6FD518E17E1
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
7638D0442B90D010
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
7638D0442B90D010
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
7638D0442B90D010
W: Dla następujących identyfikatorów kluczy brakuje klucza publicznego:
7638D0442B90D010
W: Ignoring Provides line with DepCompareOp for package libjpeg62
W: Ignoring Provides line with DepCompareOp for package php-psr-http-message-implementation
W: Ignoring Provides line with DepCompareOp for package php-psr-log-implementation
W: Ignoring Provides line with DepCompareOp for package php-math-biginteger
W: Ignoring Provides line with DepCompareOp for package pypy-cffi
W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package pypy-cffi-backend-api-min
W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package python-cffi-backend-api-min
W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-max
W: Ignoring Provides line with DepCompareOp for package python3-cffi-backend-api-min
W: Ignoring Provides line with DepCompareOp for package php-math-biginteger
W: Unknown Multi-Arch type 'no' for package 'compiz-gnome'
W: Unknown Multi-Arch type 'no' for package 'compiz-core'
W: Unknown Multi-Arch type 'no' for package 'compiz-core'
W: Unknown Multi-Arch type 'no' for package 'compiz-gnome'

Offline januszjanek1

  • Newbie
  • *
  • Wiadomości: 15
  • Reputacja: +0/-0
Odp: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie
« Odpowiedź #22 dnia: Grudzień 01, 2015, 07:19:54 pm »
I dalej:
Spoiler (Rozwiń)
knoppix@Microknoppix:~$ sudo apt-get remove libreoffice
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Pakiet "libreoffice" nie jest zainstalowany, więc nie zostanie usunięty
Należy uruchomić "apt-get -f install", aby naprawić poniższe problemy:
Następujące pakiety mają niespełnione zależności:
 libfontconfig1 : Wymaga: fontconfig-config (= 2.9.0-7.1) ale 2.11.0-6.3 ma zostać zainstalowany
 libgomp1 : Wymaga: gcc-5-base (= 5.2.1-26) ale nie zostanie zainstalowany
 libitm1 : Wymaga: gcc-5-base (= 5.2.1-26) ale nie zostanie zainstalowany
 libreoffice-common : Poleca: xfonts-mathml ale nie da się go zainstalować
                      Poleca: python3.3-uno ale nie da się go zainstalować lub
                              python3-uno (>= 4.0~) ale nie zostanie zainstalowany lub
                              python-uno ale nie zostanie zainstalowany
                      Narusza zależności: libreoffice-style-galaxy (>= 1:4.1~) ale 1:5.0.3~rc2-1 ma zostać zainstalowany
                      Narusza zależności: libreoffice-style-tango (>= 1:4.1~) ale 1:5.0.3~rc2-1 ma zostać zainstalowany
 libreoffice-draw : Wymaga: libreoffice-core (= 1:5.0.3~rc2-1+b2) ale 1:4.0.3-3 ma zostać zainstalowany
                    Wymaga: libcdr-0.1-1 ale nie zostanie zainstalowany
                    Wymaga: libdbus-1-3 (>= 1.9.14) ale 1.6.8-1+deb7u1 ma zostać zainstalowany
                    Wymaga: libfreehand-0.1-1 ale nie zostanie zainstalowany
                    Wymaga: libicu55 (>= 55.1-1~) ale nie zostanie zainstalowany
                    Wymaga: libmspub-0.1-1 ale nie zostanie zainstalowany
                    Wymaga: libmwaw-0.3-3 ale nie zostanie zainstalowany
                    Wymaga: libodfgen-0.1-1 ale nie zostanie zainstalowany
                    Wymaga: libpagemaker-0.0-0 ale nie zostanie zainstalowany
                    Wymaga: librevenge-0.0-0 ale nie zostanie zainstalowany
                    Wymaga: libstdc++6 (>= 5.2) ale 4.7.2-5 ma zostać zainstalowany
                    Wymaga: libvisio-0.1-1 ale nie zostanie zainstalowany
                    Wymaga: libwpd-0.10-10 ale nie zostanie zainstalowany
                    Wymaga: libwpg-0.3-3 ale nie zostanie zainstalowany
                    Wymaga: uno-libs3 (>= 4.4.0~alpha) ale 4.0.3-3 ma zostać zainstalowany
 libreoffice-style-galaxy : Wymaga: libreoffice-common (= 1:5.0.3~rc2-1) ale 1:4.0.3-3 ma zostać zainstalowany
 libreoffice-style-tango : Wymaga: libreoffice-common (= 1:5.0.3~rc2-1) ale 1:4.0.3-3 ma zostać zainstalowany
 unetbootin : Wymaga: libqt4-network (>= 4:4.5.3) ale nie zostanie zainstalowany
              Wymaga: libqtcore4 (>= 4:4.7.0~beta1) ale nie zostanie zainstalowany
              Wymaga: libqtgui4 (>= 4:4.5.3) ale nie zostanie zainstalowany
              Poleca: extlinux ale nie zostanie zainstalowany
              Poleca: unetbootin-translations ale nie zostanie zainstalowany
E: Niespełnione zależności. Proszę spróbować wykonać "apt-get -f install" bez pakietów (lub podać rozwiązanie).
knoppix@Microknoppix:~$ sudo apt-get autoremove
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Należy uruchomić "apt-get -f install", aby je naprawić.
Następujące pakiety mają niespełnione zależności:
 libfontconfig1 : Wymaga: fontconfig-config (= 2.9.0-7.1) ale 2.11.0-6.3 jest zainstalowany
 libgomp1 : Wymaga: gcc-5-base (= 5.2.1-26) ale nie jest zainstalowany
 libitm1 : Wymaga: gcc-5-base (= 5.2.1-26) ale nie jest zainstalowany
 libreoffice-common : Poleca: xfonts-mathml ale nie da się go zainstalować
                      Poleca: python3.3-uno ale nie da się go zainstalować lub
                              python3-uno (>= 4.0~) ale nie jest zainstalowany lub
                              python-uno ale nie jest zainstalowany
                      Narusza zależności: libreoffice-style-galaxy (>= 1:4.1~) ale 1:5.0.3~rc2-1 jest zainstalowany
 unetbootin : Wymaga: libqt4-network (>= 4:4.5.3) ale nie jest zainstalowany
              Wymaga: libqtcore4 (>= 4:4.7.0~beta1) ale nie jest zainstalowany
              Wymaga: libqtgui4 (>= 4:4.5.3) ale nie jest zainstalowany
              Poleca: extlinux ale nie jest zainstalowany
              Poleca: unetbootin-translations ale nie jest zainstalowany
E: Niespełnione zależności. Proszę spróbować użyć -f.
knoppix@Microknoppix:~$ sudo apt-get install -f
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Naprawianie zależności... Gotowe
Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
  gstreamer0.10-ffmpeg lesstif2 libabw-0.1-1 libboost-date-time1.49.0
  libboost-date-time1.53.0 libcdr-0.0-0 libcmis-0.3-3 libcolamd2.7.1
  libe-book-0.1-1 libetonyek-0.1-1 libgeoclue0 libgssglue1 libmspub-0.0-0
  liborcus-0.4-0 libsystemd-login0 libvisio-0.0-0 libwps-0.4-4 libxp6 lp-solve
Aby je usunąć należy użyć "apt-get autoremove".
Zostaną zainstalowane następujące dodatkowe pakiety:
  binutils cpp cpp-5 dbus gcc gcc-5 gcc-5-base libabw-0.1-1 libapparmor1
  libasan2 libatomic1 libaudit-common libaudit1 libboost-date-time1.58.0
  libcairo2 libcc1-0 libcdr-0.1-1 libcilkrts5 libclucene-contribs1v5
  libclucene-core1v5 libcmis-0.5-5v5 libdb5.3 libdbus-1-3 libdrm2
  libe-book-0.1-1 libegl1-mesa libeot0 libepoxy0 libetonyek-0.1-1 libevdev2
  libfontconfig1 libfreehand-0.1-1 libgbm1 libgcc-5-dev libgcc1 libgcrypt20
  libgfortran3 libglew1.13 libglib2.0-0 libgltf-0.0-0v5 libgomp1 libgpg-error0
  libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libharfbuzz-icu0
  libharfbuzz0b libhunspell-1.3-0 libicu55 libisl15 libitm1
  libjavascriptcoregtk-1.0-0 libjpeg62-turbo libllvm3.7 libmotif-common
  libmpc3 libmpfr4 libmpx0 libmspub-0.1-1 libmwaw-0.3-3 libncurses5
  libncurses5-dev libncursesw5 libnotify-bin libodfgen-0.1-1 libopenjpeg5
  liborc-0.4-0 libpagemaker-0.0-0 libpango-1.0-0 libpango1.0-0
  libpangocairo-1.0-0 libpangoft2-1.0-0 libpangoxft-1.0-0 libpcre3
  libpixman-1-0 libpoppler46 libqt4-dbus libqt4-network libqt4-xml libqtcore4
  libqtdbus4 libqtgui4 libquadmath0 libraptor2-0 librasqal3 librdf0
  libreoffice-base-core libreoffice-common libreoffice-core libreoffice-draw
  libreoffice-math libreoffice-style-galaxy libreoffice-style-tango
  librevenge-0.0-0 libsoup2.4-1 libssl1.0.2 libstdc++6 libsystemd0 libtiff5
  libtinfo-dev libtinfo5 libubsan0 libudev1 libvisio-0.1-1 libwayland-client0
  libwayland-server0 libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libwebp5
  libwpd-0.10-10 libwpg-0.3-3 libwps-0.4-4 libxatracker2 libxcb-dri3-0
  libxcb-sync1 libxcb-xfixes0 libxcb1 libxm4 libxshmfence1 ncurses-bin qdbus
  qt-at-spi qtchooser qtcore4-l10n uno-libs3 ure virtualbox-guest-utils
  virtualbox-guest-x11 x11-common xdg-user-dirs xpdf xserver-common
  xserver-xorg xserver-xorg-core xserver-xorg-input-acecad
  xserver-xorg-input-aiptek xserver-xorg-input-evdev xserver-xorg-input-kbd
  xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-input-void xserver-xorg-input-wacom
  xserver-xorg-legacy xserver-xorg-video-all xserver-xorg-video-ati
  xserver-xorg-video-cirrus xserver-xorg-video-dummy xserver-xorg-video-fbdev
  xserver-xorg-video-geode xserver-xorg-video-glide xserver-xorg-video-intel
  xserver-xorg-video-mach64 xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb
  xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-vesa
  xserver-xorg-video-vmware
Sugerowane pakiety:
  binutils-doc cpp-doc gcc-5-locales gcc-multilib manpages-dev autoconf
  automake libtool flex bison gdb gcc-doc gcc-5-multilib gcc-5-doc libgcc1-dbg
  libgomp1-dbg libitm1-dbg libatomic1-dbg libasan2-dbg liblsan0-dbg
  libtsan0-dbg libubsan0-dbg libcilkrts5-dbg libmpx0-dbg libquadmath0-dbg
  rng-tools glew-utils gstreamer1.0-tools ncurses-doc qt4-qtconfig
  raptor2-utils rasqal-utils librdf-storage-postgresql librdf-storage-mysql
  librdf-storage-sqlite librdf-storage-virtuoso redland-utils libreoffice-base
  libreoffice-style-breeze libreoffice-style-hicontrast
  libreoffice-style-oxygen libreoffice-style-sifr tango-icon-theme
  gpointing-device-settings touchfreeze firmware-amd-graphics
Polecane pakiety:
  gstreamer1.0-plugins-base hunspell-en-us hunspell-dictionary
  myspell-dictionary xfonts-mathml python3-uno gstreamer1.0-plugins-good
  geoclue-2.0 virtualbox-guest-dkms virtualbox-guest-source
  virtualbox-guest-modules libpam-systemd xserver-xorg-video-qxl
  device3dfx-source
Następujące pakiety zostaną USUNIĘTE:
  cpp-4.7 gcc-4.7 gcc-4.7-base libaudit0 libharfbuzz0a libjpeg62
  libreoffice-gnome libreoffice-gtk libreoffice-writer xserver-xorg-video-apm
  xserver-xorg-video-ark xserver-xorg-video-chips xserver-xorg-video-glint
  xserver-xorg-video-i128 xserver-xorg-video-i740
  xserver-xorg-video-modesetting xserver-xorg-video-rendition
  xserver-xorg-video-s3 xserver-xorg-video-s3virge xserver-xorg-video-sis
  xserver-xorg-video-tga xserver-xorg-video-tseng xserver-xorg-video-voodoo
Zostaną zainstalowane następujące NOWE pakiety:
  cpp-5 gcc-5 gcc-5-base libabw-0.1-1 libapparmor1 libasan2 libatomic1
  libaudit-common libaudit1 libboost-date-time1.58.0 libcc1-0 libcdr-0.1-1
  libcilkrts5 libclucene-contribs1v5 libclucene-core1v5 libcmis-0.5-5v5
  libdb5.3 libe-book-0.1-1 libegl1-mesa libeot0 libepoxy0 libetonyek-0.1-1
  libevdev2 libfreehand-0.1-1 libgbm1 libgcc-5-dev libgcrypt20 libglew1.13
  libgltf-0.0-0v5 libharfbuzz-icu0 libharfbuzz0b libicu55 libisl15
  libjpeg62-turbo libllvm3.7 libmotif-common libmpc3 libmpx0 libmspub-0.1-1
  libmwaw-0.3-3 libnotify-bin libodfgen-0.1-1 libopenjpeg5 libpagemaker-0.0-0
  libpoppler46 libqt4-dbus libqt4-network libqt4-xml libqtcore4 libqtdbus4
  libqtgui4 librevenge-0.0-0 libssl1.0.2 libsystemd0 libubsan0 libudev1
  libvisio-0.1-1 libwayland-client0 libwayland-server0 libwebp5 libwpd-0.10-10
  libwpg-0.3-3 libwps-0.4-4 libxatracker2 libxcb-dri3-0 libxcb-sync1
  libxcb-xfixes0 libxm4 libxshmfence1 qdbus qt-at-spi qtchooser qtcore4-l10n
  xdg-user-dirs xserver-xorg-legacy
Następujące pakiety zostaną zaktualizowane:
  binutils cpp dbus gcc libcairo2 libdbus-1-3 libdrm2 libfontconfig1 libgcc1
  libgfortran3 libglib2.0-0 libgomp1 libgpg-error0
  libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libhunspell-1.3-0 libitm1
  libjavascriptcoregtk-1.0-0 libmpfr4 libncurses5 libncurses5-dev libncursesw5
  liborc-0.4-0 libpango-1.0-0 libpango1.0-0 libpangocairo-1.0-0
  libpangoft2-1.0-0 libpangoxft-1.0-0 libpcre3 libpixman-1-0 libquadmath0
  libraptor2-0 librasqal3 librdf0 libreoffice-base-core libreoffice-common
  libreoffice-core libreoffice-draw libreoffice-math libreoffice-style-galaxy
  libreoffice-style-tango libsoup2.4-1 libstdc++6 libtiff5 libtinfo-dev
  libtinfo5 libwebkitgtk-1.0-0 libwebkitgtk-1.0-common libxcb1 ncurses-bin
  uno-libs3 ure virtualbox-guest-utils virtualbox-guest-x11 x11-common xpdf
  xserver-common xserver-xorg xserver-xorg-core xserver-xorg-input-acecad
  xserver-xorg-input-aiptek xserver-xorg-input-evdev xserver-xorg-input-kbd
  xserver-xorg-input-mouse xserver-xorg-input-synaptics
  xserver-xorg-input-vmmouse xserver-xorg-input-void xserver-xorg-input-wacom
  xserver-xorg-video-all xserver-xorg-video-ati xserver-xorg-video-cirrus
  xserver-xorg-video-dummy xserver-xorg-video-fbdev xserver-xorg-video-geode
  xserver-xorg-video-glide xserver-xorg-video-intel xserver-xorg-video-mach64
  xserver-xorg-video-mga xserver-xorg-video-neomagic
  xserver-xorg-video-nouveau xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb
  xserver-xorg-video-tdfx xserver-xorg-video-trident xserver-xorg-video-vesa
  xserver-xorg-video-vmware
90 aktualizowanych, 75 nowo instalowanych, 23 usuwanych i 1015 nieaktualizowanych.
18 nie w pełni zainstalowanych lub usuniętych.
Konieczne pobranie 0 B/199 MB archiwów.
Po tej operacji zostanie dodatkowo użyte 352 MB miejsca na dysku.
Kontynuować [T/n]? t
dpkg: ostrzeżenie: brak listy plików pakietu "cloop-utils", przyjęcie że pakiet nie ma zainstalowanych plików
(Odczytywanie bazy danych ... 94922 pliki i katalogi obecnie zainstalowane.)
Przygotowywanie do zastąpienia pakietu libreoffice-draw 1:4.0.3-3 (wykorzystując .../libreoffice-draw_1%3a5.0.3~rc2-1+b2_i386.deb) ...
dpkg-maintscript-helper: error: command dir_to_symlink is unknown
Hint: upgrading dpkg to a newer version might help.

Usage: dpkg-maintscript-helper <command> <parameter>... -- <maintainer-script-parameter>...

Commands:
  supports <command>
   Returns 0 (success) if the given command is supported, 1 otherwise.
  rm_conffile <conffile> [<last-version> [<package>]]
   Remove obsolete conffile. Must be called in preinst, postinst and
   postrm.
  mv_conffile <old-conf> <new-conf> [<last-version> [<package>]]
   Rename a conffile. Must be called in preinst, postinst and postrm.
  help
   Display this usage information.
dpkg: błąd przetwarzania /var/cache/apt/archives/libreoffice-draw_1%3a5.0.3~rc2-1+b2_i386.deb (--unpack):
 podproces nowy skrypt pre-installation zwrócił kod błędu 1
dpkg-maintscript-helper: error: command dir_to_symlink is unknown
Hint: upgrading dpkg to a newer version might help.

Usage: dpkg-maintscript-helper <command> <parameter>... -- <maintainer-script-parameter>...

Commands:
  supports <command>
   Returns 0 (success) if the given command is supported, 1 otherwise.
  rm_conffile <conffile> [<last-version> [<package>]]
   Remove obsolete conffile. Must be called in preinst, postinst and
   postrm.
  mv_conffile <old-conf> <new-conf> [<last-version> [<package>]]
   Rename a conffile. Must be called in preinst, postinst and postrm.
  help
   Display this usage information.
dpkg: błąd podczas czyszczenia środowiska:
 podproces nowy skrypt post-removal zwrócił kod błędu 1
Wystąpiły błędy podczas przetwarzania:
 /var/cache/apt/archives/libreoffice-draw_1%3a5.0.3~rc2-1+b2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
knoppix@Microknoppix:~$


Czuję, że mi pomagasz i dziękuję. A przede wszystkim czuję, że wiesz co robisz, więc proszę kontynuujmy.

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1712
  • Reputacja: +1/-0
Odp: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie
« Odpowiedź #23 dnia: Grudzień 01, 2015, 08:02:32 pm »
Po prostu dobij mnie :)

Jeśli systemem docelowym jest Ubuntu, to mam dwie opcje:
1.
a. Knoppixa zainstalowałeś z płyty CD w wersji 32 bit
b. Ubuntu 64 bit DVD, który nie ruszył.
Więc zrób test - pobierz dowolną inną dystrybucję, która mieści się na CD, np. Peppermint 32 bit :
http://linuxiarze.pl/download_peppermint/
wypal na CD i sprawdź czy się uruchomi.

2.
Nagraj Ubuntu na pena ręcznie:
a. Podłącz USB do kompa
b. Sprawdź jaki numer partycji został mu przyporządkowany:
sudo fdisk -lJeśli masz tylko jeden dysk twardy, to otrzyma numer: /dev/sda a pendrive: /dev/sdb
c. Odmontuj pena (jeśli to /sdb):
sudo umount /dev/sdblub (jeśli problem):
sudo umount /dev/sdb1d . Sformatuj pena:
sudo mkfs.vfat /dev/sdbe. Nagraj obraz iso na pena:
sudo dd if=/home/knoppix/Download/ubuntu-wersja-numer.iso of=/dev/sdbzwracając uwagę na:
- /home/knoppix/Download/ - podaj swoja ścieżkę do pliku iso
- ubuntu-wersja-numer.iso - wpisz właściwą pełną nazwę
- /dev/sdb - wpisz właściwą partycję, jeśli inna niż sdb, według wyniku z polecenia 'fdisk -l'
Może potrwać kilka minut więc poczekaj aż powróci do znaku zachęty, następnie reboot, Bios-> ustaw start z USB, i... módl się :)
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline januszjanek1

  • Newbie
  • *
  • Wiadomości: 15
  • Reputacja: +0/-0
Odp: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie
« Odpowiedź #24 dnia: Grudzień 02, 2015, 08:47:58 am »
Dzięki za szczegółową instrukcję. Za chwilę się zajmę zarówno pierwszym rozwiązaniem (oznaczałoby to, że jest coś nie tak z czytnikiem DVD lub procesorem - jednak 32bit, a nie 64), jak i drugim. Mam nadzieję, że ręczne nagranie Ubuntu na pendrive się powiedzie. Pytanie tylko, czy plik iso może być na płycie? Ścieżka do płyty? Czy lepiej zrzucić go na dysk twardy, a jeśli tak to jak? Bo podejrzewam, że kopiuj/wklej to nie jest rozwiązanie w tej sytuacji.

Nie wiem, czy wyczytałeś to już z terminala, ale pojawił mi się Unetbooin w narzędziach systemowych. Niestety nie chciał się otworzyć. Wyciągnąłem go na pulpit i próbowałem dwuklikiem. Na ułamek sekundy miga okno, jakby terminal, ale nie jestem pewien, bo zbyt szybko gaśnie.

Klikając coś na przypał w okolicy, wyskoczyło mi okienko z zakazem wjazdu i treścią:
Cytuj
Nie można zamontować Ubuntu 14.04.2 LTS amd64

Error mounting: mount exited with exit code 1: helper failed with:
mount: block device /dev/sr0 is write-protected, mounting read-only
mount: wrong fs type, bad option, bad superblock on /dev/sr0,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so

Nie wiem, czy to nas jakoś przybliża do rozwiązania, ale postanowiłem napisać co zauważyłem.



... a po godzinie:
Peppermint działa. 32bit nagrany na płyte CD. Na razie wersja live. Powinienem go zainstalować na stałe? Może z Peppermint'a łatwiej bedzie nagrać USB z Ubuntu? W Peppermincie już nie powinno być kwiatków związanych z wymieszaniem repozytoriow stabilnych, niestabilnych i testowych. Spróbuje jeszcze
a) z Ubuntu 32bit, nagranym na płyte DVD+R. Czy musi być "-"?
b) nagrać USB ręcznie, jak mi to opisałeś ładnie.




...jeszcze później:
Ubuntu 32bit działa. Startuje płyta tak jak powinna. Wnioski:
1. Nie chodzi o niemożliwość odczytania DVD. Czyta nawet DVD+R.
2. Chodzi o procesor. Systemy 32bit działają. Ale dlaczego nie działają 64bit, skoro Bios pokazuje 64, a także taką architekturę wskazał terminal z Knoppix'a? O co chodzi? Coś mam uszkodzone, czy to kwestia jakich ustawień? Czy możliwe jest takie częściowe uszkodzenie procesora? Jeśli to ustawienia to jakie? Co zmieniać, gdzie szukać?

Spróbuje jeszcze z USB 64bit, ale prawdopodobnie nawet jeśli utworzę prawidłowo nośnik, system nie wystratuje na moim komputerze, bo... (patrz wnioski powyżej).



...ostatecznie:
Tak jak pisałem godzinę wcześniej system z pendrive nie stratuje :( Problem rozwiązany. Zainstaluję sobie systemy 32bitowe. Ale odczuwam wewnętrzny niepokój i niedosyt.
Mam świadomość, że pytania z punktu 2. powyżej, mogą nie dotyczyć tego forum, ale zadam je jeszcze raz w nadziei, że ktoś mi odpowie, albo podpowie, gdzie szukać odpowiedzi:

Dlaczego nie działają mi systemy 64bit, skoro Bios pokazuje 64, a także taką architekturę wskazał terminal z Knoppix'a? Coś mam uszkodzone, czy to kwestia jakich ustawień? Czy możliwe jest takie częściowe uszkodzenie procesora? Jeśli to ustawienia, to jakie? Co zmieniać, gdzie szukać?
Jakieś zaprzyjaźnione polskojęzyczne fora dotyczące Biosa? A może zwrócić się do producenta, do Della?
Oczywiście serdeczne podziękowania przesyłam Pavroo. Bardzo pomogłeś, wykazałeś się wielką wiedzą i doświadczeniem, a poza tym cierpliwością i zaangażowaniem w sprawę. Dziekuję i pozdrawiam
« Ostatnia zmiana: Grudzień 02, 2015, 12:40:47 pm wysłana przez januszjanek1 »

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1712
  • Reputacja: +1/-0
Odp: Więcej niż jeden linuks, czyli kilka równoległych dystrybucji obok siebie
« Odpowiedź #25 dnia: Grudzień 02, 2015, 02:11:34 pm »
Faktycznie masz procesor 64 bitowy, dwu rdzeniowy.
Jednak coś jest z nim nie tak jak trzeba.
Jak pisałem poprzednio, Knoppix wykrywa przy starcie procesor automatycznie i jeśli wykryje 64 bitowy, to takie właśnie jądro Linux ładuje. U ciebie załadował 32 bitowe, więc... tak jak na wstępie.
Uważam, że jest to kwestia problemu ze sprzętem i tam należy szukać odpowiedzi.

Instalując system 32 bitowy nic nie stracisz, w przypadku posiadania 2 rdzeni Ubuntu powinno zainstalować jądro i686-pea, które obsługuje więcej niż 1 rdzeń i pamięć ram większą niż 4 GB.
Nic nie jest tak proste, jak się wydaje.
Danielle Steel